package dmc.events;

/*
 * Copyright (C) 2003 Matthew Wronka <wronkm@cs.rpi.edu>
 * This file is released under the GNU General Public License version 2,
 * a version of which should have been provided along with this file.
 *
 * You might also find a copy at:
 * http://dmc.sf.net/files/gpl.txt
 * http://www.fsf.org/copyleft/gpl.html
 */

import javax.swing.*;
import java.awt.*;

/**
 * Events subsystem for DMC
 *
 * @author Matthew Wronka <wronkm@cs.rpi.edu>
 * @version 0
 */

public class DmcEvents {
	// Connection Management
	public static final int DMC_EVENT_CONNECT	= 	0x000002;
	public static final int DMC_EVENT_DISCONNECT	=	0x000004;

	// Conversations
	public static final int DMC_EVENT_MESSAGE_SEND 	= 	0x000008;
	public static final int DMC_EVENT_MESSAGE_RECV 	= 	0x000010;
	public static final int DMC_EVENT_JOIN   	=	0x000020;
	public static final int DMC_EVENT_PART   	=	0x000040;

	// Encryption
	public static final int DMC_EVENT_NEGOTIATE	=	0x000080;
	public static final int DMC_EVENT_SECURE	=	0x000100;

	// User lists
	public static final int DMC_EVENT_ADDBUDDY	=	0x000200;
	public static final int DMC_EVENT_DELBUDDY	=	0x000400;

	// UI Events
	public static final int DMC_EVENT_NEWCONN	=	0x000800;
	public static final int DMC_EVENT_CLOSECONN	=	0x001000;
	public static final int DMC_EVENT_OPEN  	=	0x002000;
	public static final int DMC_EVENT_CLOSE	 	=	0x004000;
	public static final int DMC_EVENT_QUIT   	=	0x008000;
	public static final int DMC_EVENT_EXIT   	=	0x010000;
	public static final int DMC_EVENT_EXEC   	=	0x020000;
	public static final int DMC_EVENT_SCRIPT	=	0x040000;
	public static final int DMC_EVENT_ADDEVENTHOOK	=	0x080000;
	public static final int DMC_EVENT_DELEVENTHOOK	=	0x100000;
	// DMC_EVENT_COMMAND is any command issued from eg. ChatInputHandler
	public static final int DMC_EVENT_COMMAND	=	0x200000;	
	// DMC_EVENT_UCOMMAND is a user (unknown) command.
	public static final int DMC_EVENT_UCOMMAND	=	0x400000;

	public static final int DMC_EVENT_RESERVED	=	0x800000;

	public static final int DMC_EVENT_EVENT   	=	0x000000;
	public static final int DMC_EVENT_USR   	=	0x000001;


	public void AddEvent (int EventCode, String[] args, String disc) {

	}


	public DmcEvent PeakEvent () {

	}

	public void DelHead () {

	}

	public DmcEvent GetEvent () {
		DmcEvent rval = PeakEvent();
		DelHead();
	}
}

class Event {
	protected int m_iEventCode;	// invoked event
	protected String[] m_args;	// Arguments
	protected String m_curdisc;	// Discussion invoked from.

	public Event (int EventCode, String[] args, String disc) {

	}

	public int getEventCode() { return m_iEventCode; }
	public String[] getArgs() { return m_args; }
	public String getDisc() { return m_curdisc; }
}
