/***
 * General class for creating messages.  
 * Used to construct outgoing, parse incoming.
 */



package wtalk.protocols.dmc;

import java.io.*;
import java.net.*;
import java.util.StringTokenizer;

// TODO:  Add support for escaping tabs (prefix with '\')

public class DMCMessage {
	private String sConnection = null;
	private String sChat = null;
	private String sCommand = null;
	private String sDate = null;
	private String sSender = null;
	private String sTarget = null;

	public String toString() {
		String rval;
		rval = sConnection + '\t' + sChat + '\t' + sCommand;
		if(sDate!=null) rval += '\t' + sDate + '\t' + sSender + '\t' + 
				sTarget;

		return rval;
	}

	public DMCMessage() {}
	public DMCMessage(String sMessage) { Parse(sMessage); }

	/*
	 * Should be used to handle received messages
	 */
	public void  Parse(String sMessage) {
		StringTokenizer st = new StringTokenizer(sMessage,"\t");
		if(sMessage.length() <=0) return;

		if(st.hasMoreTokens()) sConnection = st.nextToken();
		if(st.hasMoreTokens()) sChat = st.nextToken();
		if(st.hasMoreTokens()) sCommand = st.nextToken();
		if(st.hasMoreTokens()) sDate = st.nextToken();
		if(st.hasMoreTokens()) sSender = st.nextToken();
		if(st.hasMoreTokens()) sTarget = st.nextToken();
	}

	public void setConnection(String s) { sConnection = s; }
	public void String setChat(String s) { sChat = s; }
	public void String setCommand(String s) { sCommand = s; }
	public void String setDate(String s) { sDate = s; }
	public void String setSender(String s) { sSender = s; }
	public void String setTarget(String s) { sTarget = s; }

	public String getConnection(String s) { return sConnection ;}
	public String getChat(String s) { return sChat ;}
	public String getCommand(String s) { return sCommand ;}
	public String getDate(String s) { return sDate ;}
	public String getSender(String s) { return sSender ;}
	public String getTarget(String s) { return sTarget ;}

	public void send(PrintWriter out) {
		out.println(toString());
	}
}
