package wtalk.protocols.dmc;

import java.io.*;
import java.net.*;


import wtalk.RMsgHandler;

class ReceivedListener extends Thread{
	private BufferedReader in=null;
	private DMCProtocol mDMC=null;
	private RMsgHandler rmh=null;	// generic message handler
	private RMsgHandler rwh = null;	// handles wall messages if !null
	private RMsgHandler rsh = null;	// handles system messages if !null
	private RMsgHandler rph = null;	// handles private messages if !null
	private RMsgHandler rah = null;	// handles automated messages if !null
	private RMsgHandler dmch = null;// handles client messages if !null

	public ReceivedListener(){
		in = null; rmh = null; mDMC=null;
	}

	public void ListenTo(BufferedReader n){
		in = n;
	}

	public void ReportTo(RMsgHandler r){
		rmh = r;
	}

	public void ReportWallTo(RMsgHandler r){
		rwh = r;
	}

	public void ReportSystemTo(RMsgHandler r){
		rsh = r;
	}

	public void ReportPrivateTo(RMsgHandler r){
		rph = r;
	}

	public void ReportAutoTo(RMsgHandler r){
		rah = r;
	}

	public void ReportClientTo(RMsgHandler r){
		dmch = r;
	}

	public void setProtocol(DMCProtocol p) {
		mDMC = p;
	}

	public void run(){
		String s;
		String target, from, data;
		DMCMessage message=null;

		if(in==null) return;

		while(true){

			try{
				s = in.readLine();
			} catch(IOException e){ return; }


			if(s==null) break;

			message = new DMCMessage(s);

			
		}

		in=null;

	}
}

